Acer Aspire One ZA3 Ubuntu 10.04 Beta1 does not recognise the monitor (unknown), only a resolution of 1025x768 os available with a refresh rate of 0Hz, options are unable to be altered

Bug #553898 reported by pst007x on 2010-04-02
164
This bug affects 31 people
Affects Status Importance Assigned to Milestone
Ubuntu
Undecided
Ubuntu Laptop Team
Nominated for Lucid by m0dcm

Bug Description

System/Preferences/Monitor

Acer Aspire One ZA3 Ubuntu 10.04 Beta1 does not recognise the monitor (unknown), only a resolution of 1024x768 is available with a refresh rate of 0Hz, options are unable to be altered

System Info

System information report, generated by Sysinfo: 02/04/2010 12:58:43
http://sourceforge.net/projects/gsysinfo

SYSTEM INFORMATION
 Running Ubuntu Linux, the Ubuntu 10.04 (lucid) release.
 GNOME: 2.30.0 (Ubuntu 2010-03-31)
 Kernel version: 2.6.32-19-generic (#28-Ubuntu SMP Wed Mar 31 17:46:20 UTC 2010)
 GCC: 4.4.3 (i486-linux-gnu)
 Xorg: unknown (30 March 2010 08:17:06PM) (30 March 2010 08:17:06PM)
 Hostname: pst007x-minilaptop
 Uptime: 0 days 0 h 37 min

CPU INFORMATION
 GenuineIntel, Intel(R) Atom(TM) CPU Z520 @ 1.33GHz
 Number of CPUs: 2
 CPU clock currently at 1333.000 MHz with 512 KB cache
 Numbering: family(6) model(28) stepping(2)
 Bogomips: 2659.99
 Flags: fpu vme de tsc msr pae mce cx8 apic mtrr pge mca cmov pat clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx constant_tsc arch_perfmon pebs bts aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 xtpr pdcm movbe lahf_lm tpr_shadow vnmi flexpriority

MEMORY INFORMATION
 Total memory: 2004 MB
 Total swap: 3745 MB

STORAGE INFORMATION
 SCSI device - scsi0
  Vendor: ATA
  Model: Hitachi HTS54322

HARDWARE INFORMATION
MOTHERBOARD
 Host bridge
  Intel Corporation System Controller Hub (SCH Poulsbo) (rev 07)
  Subsystem: Acer Incorporated [ALI] Device 0244
 PCI bridge(s)
  Intel Corporation System Controller Hub (SCH Poulsbo) PCI Express Port 1 (rev 07)
  Intel Corporation System Controller Hub (SCH Poulsbo) PCI Express Port 2 (rev 07)
 USB controller(s)
  Intel Corporation System Controller Hub (SCH Poulsbo) USB UHCI #1 (rev 07)
  Intel Corporation System Controller Hub (SCH Poulsbo) USB UHCI #2 (rev 07)
  Intel Corporation System Controller Hub (SCH Poulsbo) USB UHCI #3 (rev 07)
  Intel Corporation System Controller Hub (SCH Poulsbo) USB EHCI #1 (rev 07) (prog-if 20)
 ISA bridge
  Intel Corporation System Controller Hub (SCH Poulsbo) LPC Bridge (rev 07)
  Subsystem: Acer Incorporated [ALI] Device 0244
 IDE interface
  Intel Corporation System Controller Hub (SCH Poulsbo) IDE Controller (rev 07) (prog-if 80 [Master])
  Subsystem: Acer Incorporated [ALI] Device 0244

GRAPHIC CARD
 VGA controller
  Intel Corporation System Controller Hub (SCH Poulsbo) Graphics Controller (rev 07)
  Subsystem: Acer Incorporated [ALI] Device 0244

SOUND CARD
 Multimedia controller
  Intel Corporation System Controller Hub (SCH Poulsbo) HD Audio Controller (rev 07)
  Subsystem: Acer Incorporated [ALI] Device 0244

NETWORK
 Ethernet controller
  Atheros Communications Inc. AR5001 Wireless Network Adapter (rev 01)
  Subsystem: Foxconn International, Inc. Device e00d

Ben Court (descendent87) wrote :

Same problem here but using beta 2 and a Dell Mini 10 (same gpu though)
Don't think there's going to be any support for GMA500 based netbooks in lucid unfortunatley

whiteblade (whiteblade) wrote :

Same problem with asus eeepc 1101ha

Uwe Hauck (bicyclist) wrote :

Using the new Asus EeePC T91MT i experience the same problem with gma 500 Graka and Lucid Lynx. Had to downgrade to karmic for it to work. This is expecially annoying as I wanted to show of the T91MT as a viable alternative to the upcoming Tablets.
But not with Windows 7;)

LoreViviani (lorenzoviviani88) wrote :

Same problem with Acer Aspire One 751h :(

aleandro (aleandrodasilva) wrote :

Same problem in ASUS EEEPC 1010HA. I hope for a full support for the graphic card GMA500.

I'm waiting still Karmic (even not so good support). Please do something.

LaMs (sylvain-lamontagne) wrote :

Dell Mini 10
Problem with GMA500 also. I would really like to have it working in Lucid, currently I'm using Karmic with the instruction from the wiki.

C. Reis (reic) on 2010-04-09
Changed in ubuntu:
status: New → Confirmed
Yurippe (yurippe7774) wrote :

Same problem with Acer Aspire One 751h too. I think GMA500 is very common among netbooks, and the netbook market is the most important part to canonical, so the GMA500 issue should be treated very carefully.

flyingbuzz (haritonovsb) wrote :

Got the same on my EeePC T91. I would like to get a working out-of-the-box video acceleration for my Intel GMA500.. It works in karmic but upcoming changes make me nervous..
Lucid beta is brilliant in every aspect except the video.

softbart (bart44) wrote :

Same problem with the EeePC 1101HA.
No Poulsbo driver in Lucid. :( :(

windward (windward) wrote :

Same on Acer Aspire 751h (Intel GMA 500). It's a shame that a company like Intel acted (and still does) in such irresponsible way. Besides this Lucid is perfect in every other aspect.

Ben Court (descendent87) wrote :

Mandriva 2010 and 2010.1 both support GMA500 out the box, so it is capable of doing. Unlikely this will be done in time for lucid though (if at all)

windward (windward) wrote :

Madriva 2010 does support it, however i had lockups which were vanished after the use of a kernel option that i can't remember anymore. However so does Ubuntu Karmic (to some extend) so that's not a problem. Mandriva 2010.1 which i tested 2 weeks ago refused to start a graphical enviroment, probably because it could not compile the module. Has anything changed since then?That could be a permanent solution.

Ben Court (descendent87) wrote :

I had problems booting mandriva 2010.1 but got it working by deleting the xorg.conf and starting without one then create a new one

Paul Dooley (pilotpaul) wrote :

Acer Aspire One 751h here - stuck on Karmic for the foreseeable future unless this can be resolved. A shame because in every other way this little netbook suits me perfectly, and I would love to be able to run the latest Ubuntu release on it with full graphics support (or at least the 1366 x 768 screen resolution)...

badook (kappamr) wrote :

Another mad gma500 owner...on the asus eee 1101ha, same problem!

bd_project (bdmegep) wrote :

Same problem with the EeePC 1101HA: No Poulsbo driver in Lucid. :( Thanks to Jolicloud, I haven't left the ubuntuland for my EEEPC.

Chris Quach (quach-c) wrote :

My Archos 9 also has a Poulsbo chipset so only vesa graphics in Lucid. I'm kind of wondering if the devs have reported this problem to Intel. I read on a Intel IEGD forum that they focus on Meego which will probably skip x-server 1.7 and go straight to 1.8, if this is the case then support for Poulsbo in x-server 1.7 is questionable..

Can (cantunali) wrote :

I have the same problem :( Acer Aspire One 751h.

Me too, with Asus EeePC 1101HA.

Same problem with Asus EeePC T91MT.

whitefort (whitefort) wrote :

Yep - another unhappy Acer Aspire One 751h user here.

m0dcm (dave-maydew) wrote :

There's a few of us with Intel GMA500 GPU's! You'd have thought some kind of workaround would've been done by now, even if it was backported stuff!! There's less than 48hours till Lucid is released does this mean there's going to be a few thousand of us that are stuck with 9.10 till next April?

leed (leed) wrote :

Same problem here with my T91 eeepc.
Please get some working solution. All the old poulsbo drivers in previous Ubuntu versions weren't really an option, because they caused constant crashes.

I know it's not your fault at Canonical, but I believe in you guys. Please help us find a solutions, there are so many of us stranded on the gma500

Add one more to the list. Would love to be able to upgrade, even if it involved a dirty hack or workaround.

I'm trying with lucazade to get a hack working, port blino (blino.org) patches to ubuntu. Right now we are close - x starts, loads the psb kernel module, but then fails as /dev/dri/card0 isn't created. Anyone that wants to help just follow this thread on the forums - http://ubuntuforums.org/showthread.php?t=1229345&goto=newpost

Download full text (4.5 KiB)

Found a solution.... Mandriva.... Not a big fan must be said, but it
does work better than Ubuntu in this case.... At least it is still
Linux....

On 30 April 2010 19:07, Jose Bernardo <email address hidden> wrote:
> I'm trying with lucazade to get a hack working, port blino (blino.org)
> patches to ubuntu. Right now we are close - x starts, loads the psb
> kernel module, but then fails as /dev/dri/card0 isn't created. Anyone
> that wants to help just follow this thread on the forums -
> http://ubuntuforums.org/showthread.php?t=1229345&goto=newpost
>
> --
> Acer Aspire One ZA3 Ubuntu 10.04 Beta1 does not recognise the monitor (unknown), only a resolution of 1025x768 os available with a refresh rate of 0Hz, options are unable to be altered
> https://bugs.launchpad.net/bugs/553898
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu: Confirmed
>
> Bug description:
> System/Preferences/Monitor
>
> Acer Aspire One ZA3 Ubuntu 10.04 Beta1 does not recognise the monitor (unknown), only a resolution of 1024x768 is available with a refresh rate of 0Hz, options are unable to be altered
>
> System Info
>
> System information report, generated by Sysinfo: 02/04/2010 12:58:43
> http://sourceforge.net/projects/gsysinfo
>
> SYSTEM INFORMATION
>        Running Ubuntu Linux, the Ubuntu 10.04 (lucid) release.
>        GNOME: 2.30.0 (Ubuntu 2010-03-31)
>        Kernel version: 2.6.32-19-generic (#28-Ubuntu SMP Wed Mar 31 17:46:20 UTC 2010)
>        GCC: 4.4.3 (i486-linux-gnu)
>        Xorg: unknown (30 March 2010  08:17:06PM) (30 March 2010  08:17:06PM)
>        Hostname: pst007x-minilaptop
>        Uptime: 0 days 0 h 37 min
>
> CPU INFORMATION
>        GenuineIntel, Intel(R) Atom(TM) CPU Z520   @ 1.33GHz
>        Number of CPUs: 2
>        CPU clock currently at 1333.000 MHz with 512 KB cache
>        Numbering: family(6) model(28) stepping(2)
>        Bogomips: 2659.99
>        Flags: fpu vme de tsc msr pae mce cx8 apic mtrr pge mca cmov pat clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe nx constant_tsc arch_perfmon pebs bts aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 xtpr pdcm movbe lahf_lm tpr_shadow vnmi flexpriority
>
> MEMORY INFORMATION
>        Total memory: 2004 MB
>        Total swap: 3745 MB
>
> STORAGE INFORMATION
>        SCSI device -  scsi0
>                Vendor:  ATA
>                Model:  Hitachi HTS54322
>
> HARDWARE INFORMATION
> MOTHERBOARD
>        Host bridge
>                Intel Corporation System Controller Hub (SCH Poulsbo) (rev 07)
>                Subsystem: Acer Incorporated [ALI] Device 0244
>        PCI bridge(s)
>                Intel Corporation System Controller Hub (SCH Poulsbo) PCI Express Port 1 (rev 07)
>                Intel Corporation System Controller Hub (SCH Poulsbo) PCI Express Port 2 (rev 07)
>        USB controller(s)
>                Intel Corporation System Controller Hub (SCH Poulsbo) USB UHCI #1 (rev 07)
>                Intel Corporation System Controller Hub (SCH Poulsbo) USB UHCI #2 (rev 07)
>                Intel Corporation System Controller Hub (SCH Poulsbo) USB UHCI #3 (rev 07)
>                Intel Corporation System Controller Hub...

Read more...

PiersHarding (piersharding) wrote :

Same for me on Dell mini 10 - hosed without gma 500 support.

ikeji (e-ikejisoft) wrote :

I have same problem in Dell mini12.

what about the iegd 10.3? I'm a little confused, is the iegd10.3 able to support the gma500?

thanks for any answer.

luigi

Luigi, iegd 10.3 supports the GMA500, but doesn't support xorg 1.7.x, so it doesn't work on Lucid.

you are right.

sorry, I haven't noticed this detail :)

luigi

sorry for the spam...

this is another link: http://community.edc.intel.com/t5/Software-Tools-Discussions/Xorg-1-7-Support/td-p/2535

we need to wait for next release.

ciao

luigi

So how does Mandriva work with Poulsbo and xorg 1.7? Does it work stable, does it crash - any experiences?

Alfrenovsky (alfredo-fing) wrote :

lucazade is being doing magic with this driver, and he doesn't even have a computer with this chipset to try it on. He's compiling and receiving the reports from another users after going on.

If canonical want's Lucid Lynx compatibility with GMA500 chipset netbooks (there are many of them) all they have to do is buy a GMA500 netbook and sent it to lucazade with a nice gift wrap .

A 1101HA doesn't cost that much... What about it, canonical? ;) Or we could start a donation between all gma500 users.
I've been trying to build on lucazade's work, but am stuck now, as I wrote on comment #25. Anyone who wants to check what I did just needs to download lucazade's sources and my patches from the thread mentioned there.

pjes (pjes) wrote :

I have the same problem with my dell mini 10. Does anyone know if dell will keep selling with 8.04??? Or will they change the chipset and ship with lucid in the future??

Bye

Phil

Steven Shaw (steshaw) wrote :

Also have trouble with lucid on Acer AO751h. Have tried installing the ubuntu-mobile poulsbo drivers (from jaunty) but they are not compatible. My display resolution is 1024x768 with lucid and it updates very slowly. I have, however, had success with the 915resolution hack for grub2.

https://help.ubuntu.com/community/AspireOne/AO751h#Lucid%20(10.04)%20workaround-via%20915resolution%20in%20GRUB2

With it I can choose the 1366x768 resolution (strangely the default is 1368x768 and the display wiggles a couple of pixels left and right at the edges...) but all display updates are still painfully slow. A fix would be very much appreciated :).

Does anyone here understand what Mandriva have done?

Till Ulen (tillulen) on 2010-05-12
Changed in ubuntu:
assignee: nobody → Ubuntu Laptop Team (ubuntu-laptop)

As I wrote on comment #25, we have been hacking the previous drivers to get them to work on Lucid. Right now, we have 2D working. 3D and video acceleration are still broken. Anyone interested in helping (we need urgently a good X developer) just follow this thread - http://ubuntuforums.org/showthread.php?t=1229345&goto=newpost

Mike Ogle (michael-aaron-ogle) wrote :

Another disappointed 751h user. I can live without some things, but graphics acceleration is must. Will try out the hacks and hope for an official driver release.

wub (wub) wrote :

Yet Another Acer Aspire One 751h owner - I really love this little beast, except that I now despise the GMA 500 graphics. My system cannot boot, after following update instructions described above in comment #40, (a version that I was certain applied to Lucid). I am contemplating reinstalling Lucid, even though I will be stuck in a distorted graphics mode, with a screen almost too dark to read, since I find I like Lucid so much more that Karmic (where everything worked, eventually).

I'm glad someone has a functional driver for the GMA 500 under Lucid. I see no one has commented since mid-May. Is this thread obsolete?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions